net.sf.okapi.common

## Enum Util.SUPPORTED_OS

- java.lang.Object
- - java.lang.Enum<Util.SUPPORTED_OS>
  - - net.sf.okapi.common.Util.SUPPORTED_OS

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Util.SUPPORTED_OS>
  Enclosing class:
    Util

      public static enum Util.SUPPORTED_OS
      extends java.lang.Enum<Util.SUPPORTED_OS>

  Enumeration of supported OSes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LINUX`
    `MAC`
    `WINDOWS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Util.SUPPORTED_OS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Util.SUPPORTED_OS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WINDOWS

          public static final Util.SUPPORTED_OS WINDOWS

    - #### MAC

          public static final Util.SUPPORTED_OS MAC

    - #### LINUX

          public static final Util.SUPPORTED_OS LINUX

  - ### Method Detail

    - #### values

          public static Util.SUPPORTED_OS[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Util.SUPPORTED_OS c : Util.SUPPORTED_OS.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Util.SUPPORTED_OS valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null